For the complete documentation index, see llms.txt. This page is also available as Markdown.

Checkout Mode

Hosted Checkout mode is the most recommended integration method. Merchants only need to create orders, redirect to checkout_url, and handle Webhooks to complete payment integration.

Create checkout order

POST /v1/order/pay

Request Body

Name
Type
Description

request_id*

String

The external ID of the transaction provided by the partner

payment_method*

String

The way to pay, values: one of [on_line, on_chain]

amount*

String

order amount

currency*

String

order currency

remark

String

The detail information of product in the checkout page

product_name*

String

The product name to be shown in the checkout page

return_url

String

web redirect url when payment is finish, if needed

notify_url

String

Web-hook url

customer_ref_id*

String

customer unique id

pay_currency

String

The name of crypto asset to pay

200: OK

{"code":"200", 
 "data":{ 
   "request_id":"1675157000687", 
   "partner_id":"2000051", 
   "order_no":"2023013120000600262092321146", 
   "currency":"USDT_TRC20", 
   "order_amount":"0.3", 
   "status":11, 
   "payment_method":"on_line", 
   "checkout_url":"http://api.dev.xx/v1/qrcode/CnHmkPayhcIFlyat" ,
   "receive_address":"0x5635320sfs4BD3a9cA99bE6e20906Ec53d1Ca65ad" 
 }, 
 "message":"success" 
 }

Last updated